Bug 120066 - IT8212 raid Kernel Driver
IT8212 raid Kernel Driver
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-04-05 15:19 EDT by David Bennion
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-06 15:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Bennion 2004-04-05 15:19:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)

Description of problem:
The driver for this device appears to have been available for some
time.  It is also GPL.  It is available from the manufacturer.

GigaByte sells a number of motherboards with this raid controller on it.

I would like to install Fedora Core 2 onto striped raid0 drive.

The fact that this driver is missing is hard to compensate for
manually.  I couldn't find a driver disk anywhere and don't feel
competent enough to really create one.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Boot the install CD
2. Try to install on a defined raid array.

Actual Results:  It couldn't find the raid array and the driver wasn't

Expected Results:  FC2 Test2 would have installed and I'd be happily
using it on my Athlon 64 running on raid-0.  :)

Additional info:
Comment 1 Dave Jones 2004-04-06 06:21:21 EDT
1. it's a 2.4 driver, so useless for FC2.
2. it should go upstream if it should be merged at all.
If it doesn't, Red Hat end up having to support it forever, and
lacking the hardware to do so, this isn't going to happen.
3. From a quick skim of the source, it really needs some work before
it'd be considered 'mergeable'.
Comment 2 David Bennion 2004-04-06 10:54:28 EDT
Please look at this link:


It contains some docs on these drivers.  Down at the bottom of the
page there are several driver versions.  There is a version for the
2.6 kernel.  (here is the link directly to the 2.6 kern source).


Please skim the source for that version and see if it is of sufficient
quality to merge.
Comment 3 Dave Jones 2004-04-06 15:46:43 EDT
Bug ITE to push their stuff upstream. This does need work, and the
best place for that work to happen, is after its been through a round
of code review at linux-scsi and linux-kernel.
Comment 4 Brian "netdragon" Bober 2004-05-06 23:38:35 EDT
To my great dismay, I can't even get their module to build on FC2 test3.
Comment 5 David Bennion 2004-05-07 00:30:54 EDT
I have pursued this and have gotten the driver working on my machine.  

The driver had some trouble with x86_64 and I have been in contact
with the author of the driver.  

He gave me an altered driver that works on AMD 64.  It hasn't
officially been released yet by ITE.  

Please check their website at :
http://www.ite.com.tw/productInfo/Download.html for the official
release of this driver.  (should be soon).

I was able to successfully make this build and work under Fedora Core
2 Test 3 by following the instructions for the 2.6 kernel at:


I will suggest to ITE submission to the kernel group.

Note You need to log in before you can comment on or make changes to this bug.